Bug 1210236 - DistTopologyChangeUnderLoadTest.testPutsSucceedWhileTopologyChanges fails
Summary: DistTopologyChangeUnderLoadTest.testPutsSucceedWhileTopologyChanges fails
Keywords:
Status: ASSIGNED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: TestSuite
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ER4
: 6.5.0
Assignee: Galder Zamarreño
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-09 09:07 UTC by Sebastian Łaskawiec
Modified: 2015-05-20 15:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-5488 0 Blocker Resolved DistTopologyChangeUnderLoadTest.testPutsSucceedWhileTopologyChanges random failures 2016-01-18 12:23:07 UTC

Description Sebastian Łaskawiec 2015-04-09 09:07:22 UTC
Description of problem:
DistTopologyChangeUnderLoadTest.testPutsSucceedWhileTopologyChanges fails randomly, see http://10.3.10.33:8081/view/4_JDG_6_5_x/job/JDG_6_5_x_Nightly/292/testReport/junit/org.infinispan.client.hotrod/DistTopologyChangeUnderLoadTest/testPutsSucceedWhileTopologyChanges/

Comment 1 Sebastian Łaskawiec 2015-04-09 09:09:31 UTC
In my opinion this test might occasionally fail since we use there TestingUtil.sleepThread(2000). I think it should be rewritten and it should use some kind of Barrier or CountDownLatch for synchronizing.

Comment 3 Sebastian Łaskawiec 2015-04-09 09:14:18 UTC
Tests ignored by PR: https://github.com/infinispan/jdg/pull/607


Note You need to log in before you can comment on or make changes to this bug.